PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerVTKGetDM

get the DM associated with the viewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKGetDM(PetscViewer viewer,PetscObject *dm)

Collective

### Input Arguments

| viewer | - VTK viewer
| dm | - DM associated with the viewer (as PetscObject)

### See Also

PetscViewerVTKOpen(), DMDAVTKWriteAll(), PetscViewerVTKWriteFunction, PetscViewerVTKAddField()

### Level

developer

### Location

src/sys/classes/viewer/impls/vtk/vtkv.c

### Implementations

PetscViewerVTKGetDM_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages